package de.intevation.gnv.artifacts;

import de.intevation.artifactdatabase.DefaultArtifactFactory;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;
import org.w3c.dom.Node;


/**
 * The GNV default implementation of <code>DefaultArtifactFactory</code>.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class GNVArtifactFactory extends DefaultArtifactFactory {

    /**
     *
     */
    public static final String XPATH_PRODUCT_FACTORY   = "artifact-factory";

    private static Logger logger = Logger.getLogger(GNVArtifactFactory.class);

    /**
     * Constructor.
     */
    public GNVArtifactFactory() {
    }

    /**
     *
     * @param document
     * @param factoryNode Contains necessary information about the desired
     * factory.
     */
    @Override
    public void setup(Document document, Node factoryNode) {
        super.setup(document, factoryNode);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
